import type Z from 'zod';
export type LogLevel = 'info' | 'debug' | 'warn';
export type LogLevelOption = LogLevel | 'silent';
export type LogLevelWithError = LogLevel | 'error';
export type RollupLog = any;
export type RollupLogWithString = RollupLog | string;
export declare const LogLevelSchema: Z.ZodType<LogLevel>;
export declare const LogLevelOptionSchema: Z.ZodType<LogLevelOption>;
export declare const LogLevelWithErrorSchema: Z.ZodType<LogLevelWithError>;
export declare const LOG_LEVEL_SILENT: LogLevelOption;
export declare const LOG_LEVEL_ERROR = "error";
export declare const LOG_LEVEL_WARN: LogLevel;
export declare const LOG_LEVEL_INFO: LogLevel;
export declare const LOG_LEVEL_DEBUG: LogLevel;
export declare const logLevelPriority: Record<LogLevelOption, number>;
export declare const RollupLogSchema: Z.ZodAny;
export declare const RollupLogWithStringSchema: Z.ZodUnion<[Z.ZodAny, Z.ZodString]>;
